---------------------
PatchSet 5475 
Date: 2007/08/22 08:41:18
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Update NOTES-IPv6 to remove mentio of bugs now fixed.

Members: 
	NOTES-IPv6:1.1.2.61->1.1.2.62 

Index: squid3/NOTES-IPv6
===================================================================
RCS file: /cvsroot/squid-sf//squid3/Attic/NOTES-IPv6,v
retrieving revision 1.1.2.61
retrieving revision 1.1.2.62
diff -u -r1.1.2.61 -r1.1.2.62
--- squid3/NOTES-IPv6	21 Aug 2007 23:42:13 -0000	1.1.2.61
+++ squid3/NOTES-IPv6	22 Aug 2007 08:41:18 -0000	1.1.2.62
@@ -1,4 +1,4 @@
-$Id: NOTES-IPv6,v 1.1.2.61 2007/08/21 23:42:13 amosjeffries Exp $
+$Id: NOTES-IPv6,v 1.1.2.62 2007/08/22 08:41:18 amosjeffries Exp $
 
 NP: Any problems with this version of squid please contact
 	squid3@treenet.co.nz for assistance.
@@ -81,47 +81,22 @@
 NP2: found a few spots doing memset where they should not. Probably more coming.
 NP3: Sometime during July these have stopped for me.
 NP4: spoke too soon, as soon as I needed to set debug_options ALL,9 back they come :-(
-NP5: OK, killed the IPA type tracker which was supposed to keep track fo content type
+NP5: OK, killed the IPA type tracker which was supposed to keep track fof content type
 	it was not strictly necessary and was usually causing these failures.
-	IPAddress is now much more friendly to garbage and other peoples over/underflow writes
+	IPAddress is now much more friendly after garbage and peoples over/underflow writes
 
 Program received signal SIGABRT, Aborted.
 #3  0x08089771 in xassert (msg=0x81501aa "false", file=0x81573b0 "IPAddress.cc", line=900) at debug.cc:569
 #4  0x08129e53 in IPAddress::NtoA (this=0x858e4a0, buf=0xbfbef891 "", blen=75, force=None) at IPAddress.cc:900
 
 
-WEIRDNESS in squid.conf parse of all
-  - first thing is to make all netmasks CIDR and convert on read (nasty)
-  - second is to fix IPv6 finding two partially-overlapping ranges as equal?
-	or is this the old issue of saying the wrong one is internal when one fully in another?
-
-007/08/20 00:14:41.004| Processing: 'acl all src 0.0.0.0/0.0.0.0'
-2007/08/20 00:14:41.011| aclParseAclLine: Appending to 'all'
-2007/08/20 00:14:41.013| aclIpParseIpData: 0.0.0.0/0.0.0.0
-2007/08/20 00:14:41.113| aclIpParseIpData: Lookup Host/IP 0.0.0.0
-2007/08/20 00:14:41.133| aclIpParseIpData: Located Netmask '[::]' in '0.0.0.0/0.0.0.0'
-2007/08/20 00:14:41.137| 0.0.0.0 --> [::]
-2007/08/20 00:14:41.229| aclIpParseIpData: Duplicate host/IP: '[::]' dropped.
-2007/08/20 00:14:41.239| aclIpParseIpData: Duplicate host/IP: '[::]' dropped.
-2007/08/20 00:14:41.239| WARNING: '::-ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff/::' is a subnetwork of '::/::'
-2007/08/20 00:14:41.239| WARNING: because of this '::-ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff/::' is ignored to keep splay tree searching predictable
-2007/08/20 00:14:41.239| WARNING: You should probably remove '::-ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff/::' from the ACL named 'all'
-
-2007/08/20 00:14:41.373| Processing: 'acl all src 0.0.0.0/0'
-2007/08/20 00:14:41.380| aclParseAclLine: Appending to 'all'
-2007/08/20 00:14:41.381| aclIpParseIpData: 0.0.0.0/0
-2007/08/20 00:14:41.383| aclIpParseIpData: Lookup Host/IP 0.0.0.0
-2007/08/20 00:14:41.481| aclIpParseIpData: Located Netmask '[ffff:ffff:ffff:ffff:ffff:ffff::]' in '0.0.0.0/0'
-2007/08/20 00:14:41.483| 0.0.0.0 --> [::]
-2007/08/20 00:14:41.484| aclIpParseIpData: Duplicate host/IP: '[::]' dropped.
-2007/08/20 00:14:41.486| aclIpParseIpData: Duplicate host/IP: '[::]' dropped.
-2007/08/20 00:14:41.486| WARNING: '::-ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff/::' is a subnetwork of '::/ffff:ffff:ffff:ffff:ffff:ffff::'
-2007/08/20 00:14:41.486| WARNING: because of this '::-ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff/::' is ignored to keep splay tree searching predictable
-2007/08/20 00:14:41.486| WARNING: You should probably remove '::-ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff/::' from the ACL named 'all'
-
-
 TODO:
 
+1.0	Netmasks need to die a clean death
+	- alter all storage of netmask values to CIDR (AKA uint8_t)
+	- alter all netmask parsing to issue deprecation WARNING's and translate
+	- possibly provide netmask-->CIDR translation as static via IPAddress API
+
 3       Push incremental patches to HEAD (on hold for 3.1 branch)
 
 3.0		doc/rfc/*
